Browse Source

spamassassin package update

Signed-off-by: webbuilder_pel7ppc64lebuilder0 <webbuilder@powerel.org>
master
webbuilder_pel7ppc64lebuilder0 4 years ago
parent
commit
0a062291a0
  1. 13
      SOURCES/0001-Disable-running-gyp-on-shared-deps.patch
  2. 1
      SOURCES/README.RHEL.Fedora
  3. 184
      SOURCES/nodejs-tarball.sh
  4. 1
      SOURCES/redhat_local.cf
  5. 51
      SPECS/spamassassin.spec

13
SOURCES/0001-Disable-running-gyp-on-shared-deps.patch

@ -1,4 +1,4 @@ @@ -1,4 +1,4 @@
From 443fef828092b315a207a194f5fe74e52e451996 Mon Sep 17 00:00:00 2001
From 7a6257be1d0276ff22d2d92ea89c5bca6c633802 Mon Sep 17 00:00:00 2001
From: Zuzana Svetlikova <zsvetlik@redhat.com>
Date: Thu, 27 Apr 2017 14:25:42 +0200
Subject: [PATCH 1/3] Disable running gyp on shared deps
@ -8,12 +8,10 @@ Subject: [PATCH 1/3] Disable running gyp on shared deps @@ -8,12 +8,10 @@ Subject: [PATCH 1/3] Disable running gyp on shared deps
1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/Makefile b/Makefile
index 3a343301d640bc7fd41e9680c74455bb260a950d..d2b9c13ee3e53d957ed32476e40fb09e41fcfded 100644
index 316410e3f81e39cdddecf91d5b717c884a9c51b3..62c8ebb5b95a68e44d4c2ab3beee70d63c3175c7 100644
--- a/Makefile
+++ b/Makefile
@@ -121,14 +121,13 @@ with-code-cache:

.PHONY: test-code-cache
@@ -123,10 +123,9 @@ with-code-cache:
test-code-cache: with-code-cache
$(PYTHON) tools/test.py $(PARALLEL_ARGS) --mode=$(BUILDTYPE_LOWER) code-cache
@ -27,7 +25,6 @@ index 3a343301d640bc7fd41e9680c74455bb260a950d..d2b9c13ee3e53d957ed32476e40fb09e @@ -27,7 +25,6 @@ index 3a343301d640bc7fd41e9680c74455bb260a950d..d2b9c13ee3e53d957ed32476e40fb09e
$(PYTHON) tools/gyp_node.py -f make
config.gypi: configure configure.py
@if [ -x config.status ]; then \
./config.status; \
--
2.20.1
2.24.1


1
SOURCES/README.RHEL.Fedora

@ -43,3 +43,4 @@ You should no longer use the '-d' option in /etc/sysconfig/spamassassin. Doing @@ -43,3 +43,4 @@ You should no longer use the '-d' option in /etc/sysconfig/spamassassin. Doing
so will result in spamd starting and stopping in a loop. The default
/etc/sysconfig/spamassassin file has been adjusted for this, please merge
this change into that file if you have made any changes to it.


184
SOURCES/nodejs-tarball.sh

@ -1,7 +1,187 @@ @@ -1,7 +1,187 @@
#!/bin/sh
# Uses Argbash to generate command argument parsing. To update
# arguments, make sure to call
# `argbash nodejs-tarball.sh -o nodejs-tarball.sh`

version=$(rpm -q --specfile --qf='%{version}\n' SPECS/nodejs.spec | head -n1)
wget http://nodejs.org/dist/v${version}/node-v${version}.tar.gz
# ARG_POSITIONAL_SINGLE([version],[Node.js release version],[""])
# ARG_DEFAULTS_POS([])
# ARG_HELP([Tool to aid in Node.js packaging of new releases])
# ARGBASH_GO()
# needed because of Argbash --> m4_ignore([
### START OF CODE GENERATED BY Argbash v2.8.1 one line above ###
# Argbash is a bash code generator used to get arguments parsing right.
# Argbash is FREE SOFTWARE, see https://argbash.io for more info


die()
{
local _ret=$2
test -n "$_ret" || _ret=1
test "$_PRINT_HELP" = yes && print_help >&2
echo "$1" >&2
exit ${_ret}
}


begins_with_short_option()
{
local first_option all_short_options='h'
first_option="${1:0:1}"
test "$all_short_options" = "${all_short_options/$first_option/}" && return 1 || return 0
}

# THE DEFAULTS INITIALIZATION - POSITIONALS
_positionals=()
_arg_version=""
# THE DEFAULTS INITIALIZATION - OPTIONALS


print_help()
{
printf '%s\n' "Tool to aid in Node.js packaging of new releases"
printf 'Usage: %s [-h|--help] [<version>]\n' "$0"
printf '\t%s\n' "<version>: Node.js release version (default: '""')"
printf '\t%s\n' "-h, --help: Prints help"
}


parse_commandline()
{
_positionals_count=0
while test $# -gt 0
do
_key="$1"
case "$_key" in
-h|--help)
print_help
exit 0
;;
-h*)
print_help
exit 0
;;
*)
_last_positional="$1"
_positionals+=("$_last_positional")
_positionals_count=$((_positionals_count + 1))
;;
esac
shift
done
}


handle_passed_args_count()
{
test "${_positionals_count}" -le 1 || _PRINT_HELP=yes die "FATAL ERROR: There were spurious positional arguments --- we expect between 0 and 1, but got ${_positionals_count} (the last one was: '${_last_positional}')." 1
}


assign_positional_args()
{
local _positional_name _shift_for=$1
_positional_names="_arg_version "

shift "$_shift_for"
for _positional_name in ${_positional_names}
do
test $# -gt 0 || break
eval "$_positional_name=\${1}" || die "Error during argument parsing, possibly an Argbash bug." 1
shift
done
}

parse_commandline "$@"
handle_passed_args_count
assign_positional_args 1 "${_positionals[@]}"

# OTHER STUFF GENERATED BY Argbash

### END OF CODE GENERATED BY Argbash (sortof) ### ])
# [ <-- needed because of Argbash


set -e

echo $_arg_version

if [ x$_arg_version != x ]; then
version=$_arg_version
else
version=$(rpm -q --specfile --qf='%{version}\n' nodejs.spec | head -n1)
fi

rm -f node-v${version}.tar.gz node-v${version}-stripped.tar.gz
wget http://nodejs.org/dist/v${version}/node-v${version}.tar.gz \
http://nodejs.org/dist/v${version}/SHASUMS256.txt
sha256sum -c SHASUMS256.txt --ignore-missing
tar -zxf node-v${version}.tar.gz
rm -rf node-v${version}/deps/openssl
tar -zcf node-v${version}-stripped.tar.gz node-v${version}

# Download the matching version of ICU
rm -f icu4c*-src.tgz icu.md5
ICUMD5=$(cat node-v${version}/tools/icu/current_ver.dep |jq -r '.[0].md5')
wget $(cat node-v${version}/tools/icu/current_ver.dep |jq -r '.[0].url')
ICUTARBALL=$(ls -1 icu4c*-src.tgz)
echo "$ICUMD5 $ICUTARBALL" > icu.md5
md5sum -c icu.md5
rm -f icu.md5 SHASUMS256.txt

fedpkg new-sources node-v${version}-stripped.tar.gz icu4c*-src.tgz

rm -f node-v${version}.tar.gz

# Determine the bundled versions of the various packages
echo "Bundled software versions"
echo "-------------------------"
echo
echo "libnode shared object version"
echo "========================="
grep "define NODE_MODULE_VERSION" node-v${version}/src/node_version.h
echo
echo "V8"
echo "========================="
grep "define V8_MAJOR_VERSION" node-v${version}/deps/v8/include/v8-version.h
grep "define V8_MINOR_VERSION" node-v${version}/deps/v8/include/v8-version.h
grep "define V8_BUILD_NUMBER" node-v${version}/deps/v8/include/v8-version.h
grep "define V8_PATCH_LEVEL" node-v${version}/deps/v8/include/v8-version.h
echo
echo "c-ares"
echo "========================="
grep "define ARES_VERSION_MAJOR" node-v${version}/deps/cares/include/ares_version.h
grep "define ARES_VERSION_MINOR" node-v${version}/deps/cares/include/ares_version.h
grep "define ARES_VERSION_PATCH" node-v${version}/deps/cares/include/ares_version.h
echo
echo "http-parser"
echo "========================="
grep "define HTTP_PARSER_VERSION_MAJOR" node-v${version}/deps/http_parser/http_parser.h
grep "define HTTP_PARSER_VERSION_MINOR" node-v${version}/deps/http_parser/http_parser.h
grep "define HTTP_PARSER_VERSION_PATCH" node-v${version}/deps/http_parser/http_parser.h
echo
echo "libuv"
echo "========================="
grep "define UV_VERSION_MAJOR" node-v${version}/deps/uv/include/uv/version.h
grep "define UV_VERSION_MINOR" node-v${version}/deps/uv/include/uv/version.h
grep "define UV_VERSION_PATCH" node-v${version}/deps/uv/include/uv/version.h
echo
echo "libuv"
echo "========================="
grep "define NGHTTP2_VERSION " node-v${version}/deps/nghttp2/lib/includes/nghttp2/nghttp2ver.h
echo
echo "ICU"
echo "========================="
grep "url" node-v${version}/tools/icu/current_ver.dep
echo
echo "punycode"
echo "========================="
grep "'version'" node-v${version}/lib/punycode.js
echo
echo "npm"
echo "========================="
grep "\"version\":" node-v${version}/deps/npm/package.json
echo
echo "Make sure these versions match what is in the RPM spec file"

rm -rf node-v${version}
# ] <-- needed because of Argbash

1
SOURCES/redhat_local.cf

@ -7,3 +7,4 @@ @@ -7,3 +7,4 @@
required_hits 5
report_safe 0
rewrite_header Subject [SPAM]


51
SPECS/spamassassin.spec

@ -1,55 +1,25 @@ @@ -1,55 +1,25 @@
# OVERRIDE RHEL VERSION HERE, RHEL BUILDSYSTEM DOESN'T HAVE DIST TAG
#%%define rhel 4

# Define dist tags for old RHEL releases
%if 0%{?rhel} == 4
%define dist .el4
%endif
%if 0%{?rhel} == 5
%define dist .el5
%endif
%if 0%{?rhel} == 6
%define dist .el6
%endif

# Define variables to use in conditionals
%define option_ssl 0
%define perl_devel 0
%define dkim_deps 0
%global patricia_deps 0
%global razor_deps 0
%define require_encode_detect 0
%define use_systemd 0

# SSL and IPv6 (FC6+, RHEL5+)
%define option_ssl 1
# Split perl-devel (FC7+ and RHEL-8+)
%define perl_devel 1
# Encode::Detect, not strictly required but helpful if you enable language detection (FC7+)
%define require_encode_detect 1
# Mail::DKIM by default (F11+)
%define dkim_deps 1
%define use_systemd 1
%global patricia_deps 1
%global razor_deps 1

%define require_encode_detect 1
%define use_systemd 1
%define real_name Mail-SpamAssassin
%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%global saversion 3.004004
%global rulesversion r1873061

%global saversion 3.004002
#%%global prerev rc2

Summary: Spam filter for email which can be invoked from mail delivery agents
Name: spamassassin
Version: 3.4.2
#Release: 0.8.%%{prerev}%%{?dist}
Release: 3%{?dist}
Version: 3.4.4
Release: 1%{?dist}
Summary: Spam filter for email which can be invoked from mail delivery agents
License: ASL 2.0
Group: Applications/Internet
URL: https://spamassassin.apache.org/
Source0: https://www.apache.org/dist/%{name}/source/%{real_name}-%{version}.tar.bz2
#Source0: %%{real_name}-%%{version}-%%{prerev}.tar.bz2
Source1: https://www.apache.org/dist/%{name}/source/%{real_name}-rules-%{version}.r1840640.tgz
Source1: https://www.apache.org/dist/%{name}/source/%{real_name}-rules-%{version}.%{rulesversion}.tgz
#Source1: %%{real_name}-rules-%%{version}.%%{prerev}.tgz
Source2: redhat_local.cf
Source3: spamassassin-default.rc
@ -62,9 +32,7 @@ Source9: sa-update.force-sysconfig @@ -62,9 +32,7 @@ Source9: sa-update.force-sysconfig
Source10: spamassassin-helper.sh
Source11: spamassassin-official.conf
Source13: README.RHEL.Fedora
%if %{use_systemd}
Source14: spamassassin.service
%endif
Source15: spamassassin.sysconfig.el
Source16: sa-update.service
Source17: sa-update.timer
@ -77,9 +45,6 @@ Patch1: spamassassin-3.4.1-add-logfile-homedir-options.patch @@ -77,9 +45,6 @@ Patch1: spamassassin-3.4.1-add-logfile-homedir-options.patch
# Patches 100+ are SVN backports (DO NOT REUSE!)
# end of patches
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%if %{use_systemd} == 0
Requires: /sbin/chkconfig /sbin/service
%endif
Requires(post): diffutils

BuildRequires: gcc

Loading…
Cancel
Save